Name:           options
Version:        1.7
Release:        %mkrel 3
Group:          Development/Java
Summary:        Library for managing sets of JVM properties to configure an app or library
License:        ASL 2.0
URL:            https://github.com/headius/%{name}
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

Source0:        %{url}/archive/%{name}-%{version}/%{name}-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)

%description
Provides a simple mechanism for defining JVM property-based
configuration for an application or library.

%{?javadoc_package}

%prep
%autosetup -n %{name}-%{name}-%{version}

# remove unnecessary dependency on parent POM
%pom_remove_parent

%build
%mvn_build -- -Dmaven.compiler.source=1.8 -Dmaven.compiler.target=1.8

%install
%mvn_install

%files  -f .mfiles
%license LICENSE
%doc README.md



%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.7-3.mga10
+ Revision: 2223904
- Mageia 10 Mass Rebuild

* Mon May 27 2024 ns80 <ns80> 1.7-2.mga10
+ Revision: 2068258
- rebuild for java 21

* Wed Dec 14 2022 daviddavid <daviddavid> 1.7-1.mga9
+ Revision: 1921951
- New upstream release 1.7

* Sat Mar 26 2022 umeabot <umeabot> 1.4-4.mga9
+ Revision: 1827909
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.4-3.mga8
+ Revision: 1503338
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.4-2.mga7
+ Revision: 1281329
- Mageia 7 Mass Rebuild

* Fri Apr 13 2018 kekepower <kekepower> 1.4-1.mga7
+ Revision: 1218472
- Update to version 1.4

* Sat May 20 2017 neoclust <neoclust> 1.2-9.mga6
+ Revision: 1103717
- Fix BuildRequires
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 1.2-7.mga6
+ Revision: 977752
- First rebuild of the java stack
- sync package options with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Fri Feb 20 2015 daviddavid <daviddavid> 1.2-1.mga5
+ Revision: 816095
- imported package options
- based from Fedora's package
- fix dir ownership
- fix Group

